# Point-Scanning Super-Resolution 2 (**PSSR2**)

**PSSR2** is a user-friendly [PyTorch](https://pytorch.org)-based workflow for super-resolution tasks using microscopy images.
This is the official reimplementation and extention of the methods described in the original paper: [Deep learning-based point-scanning super-resolution imaging](https://www.nature.com/articles/s41592-021-01080-z).
**PSSR2** contains various improvements from its predecessor, which are elaborated in the following manuscript:
[PSSR2: a user-friendly Python package for democratizing deep learning-based point-scanning super-resolution microscopy](https://bmcmethods.biomedcentral.com/articles/10.1186/s44330-024-00020-5).
If you utilize **PSSR2** in your publication, please consider [citing it](https://bmcmethods.biomedcentral.com/articles/10.1186/s44330-024-00020-5#citeas).

The functionality of **PSSR2** is accessible in three ways:

- Directly through the [Python package](https://pypi.org/project/pssr)
- Through the integrated [Command Line Interface](https://ucsdmanorlab.github.io/PSSR2/reference/CLI.html)
- Through the integrated [Napari plugin](https://ucsdmanorlab.github.io/PSSR2/guide/napari.html)

The **PSSR2** User Guide and full API Reference is available in the [PSSR2 Documentation](https://ucsdmanorlab.github.io/PSSR2).

If you have never used **PSSR2** before, [Getting Started](https://ucsdmanorlab.github.io/PSSR2/guide/start.html) outlines installation and basic usage.
Full reference and explanations of all **PSSR2** tools is available in [API Reference](https://ucsdmanorlab.github.io/PSSR2/reference/api.html).

This package is under continuous development. All code can be found at [https://github.com/ucsdmanorlab/PSSR2](https://github.com/ucsdmanorlab/PSSR2).
If you experience any bugs, unexpected behaviors, or have any suggestions, make sure to [open a ticket](https://github.com/ucsdmanorlab/PSSR2/issues).
